/*====================ÉCOLE POLYTECHNIQUE DE MONTRÉAL============================

	NOM DU FICHIER :CDepart.h

	DESCRIPTION :	Déclaration des fonctions de l'objet départ

	AUTEUR : Martin Bisson, Anne-Marie Buki, Mylene Denis & Jean-Francois Pérusse

	DATE DE CRÉATION : 2004-3-16

	MISES À JOUR :

===============================================================================*/
#ifndef CDEPART_H
#define CDEPART_H

#include "CObjet.h"
#include "CPngTexture.h"

class CDepart : public CObjet {
private:
    float width, height;
    static CPngTexture TextureDepart;
public:
    //Constructeur par parametres
    CDepart(const CVector3f& posi, type_jeuobjet Type,
	    float w = 0.40f, float h = 0.20f);
    
    virtual void AfficheGL() const;
    virtual bool isCollision(CBalle *balle) const;
    virtual void UpdateAnimations() const {};
    static bool ChargeTextures();
    static bool DechargeTextures();
    float getWidth() {return this->width/(float)TAILLE_TUILE;}
    float getHeight() {return this->height/(float)TAILLE_TUILE;}
};
#endif //CDEPART_H
